// ################################
// ##   LOGOVANI DULEZITYCH VEC  ##
// ##           VE HRE           ##
// ################################

#pragma once
#ifndef LOG_H
#define LOG_H

#include "common.h"

#include <string>

#ifdef _DEBUG
#define LOG(str)  rlog(__FILE__, __FUNCTION__, __LINE__, (str));
#else
#define LOG(str) log(str);
#endif

void rlog(const std :: string& file, const std :: string& function, int line, const std :: string& str);
void log(const std :: string& str);
void lnextline();

void lockConsoleForWrite();
void unlockConsoleForWrite();

#endif
